﻿/*úkol 4.4*/

/*ukol 4a*/ 
/*tvorba tabulky Need_Predictions*/
data Need_Predictions;
    input RunTime @@;
    datalines;
9 10 11 12 13
;
run;
/*spojení tabulek*/
data PredOxy;
    set Need_Predictions 
        work.fitness;
run;

ods graphics off;
/*regresní model*/
proc reg data=PredOxy;
    model Oxygen_Consumption=RunTime / p;
    id RunTime;
    title 'Oxygen_Consumption=RunTime with Predicted Values';   
run;
quit;

/*ukol 4b*/
proc reg data=work.fitness noprint outest=Betas;
    model Oxygen_Consumption=RunTime;
run;
quit;

proc print data=Betas;
    title "OUTEST= Data Set from PROC REG";
run;

proc score data=Need_Predictions score=Betas
           out=Scored type=parms;
    var RunTime;
run;

proc print data=Scored;
    title "Scored New Observations";
run;

